//////////////////////////////////////////////////////////////////////////////
// Module	: ClsNonStd.h													//
// Function	: Base class for all non-STDbus Smart A/D boards.				//
// Author	: Jim Lamberson													//
//////////////////////////////////////////////////////////////////////////////

#ifndef DEF_ClsNonStd
#define DEF_ClsNonStd

#include "ClsSmad.h"				// Smart A/D base class.

////////////////////////////////////////////////////////////////////////////////////////////
// Class declaration.
////////////////////////////////////////////////////////////////////////////////////////////

class ClsNonStd : public ClsSmad {
public:
	ClsNonStd( short ProductID, long Adrs, short NumCh, const char *pSdcTbl, const char *pCmdTbl, char NumBoards = 1 );
	virtual ~ClsNonStd()		{}	// Destructor is virtual so that all derived class destructors will execute.
	void	CoefficientsSet		( short ch, double a, double b, double c );
	void	GageCalGet			( short ch, double *slope, short *offset );
	void	GageCalSet			( short ch, double slope, short offset );
	void	GageSpanSet			( short ch, short val );
	void	GageTareSet			( short ch );
	void	GageZeroSet			( short ch );
	short	ProductIDGet		();
	void	SensorTypeSet		( short Chan, short LogSDC );
};

#endif // #ifndef DEF_ClsNonStd
